#include "tetris-struct.h"

#define SCREEN_WIDTH 1280
#define SCREEN_HEIGHT 720

#define BORDER_GAP 20
#define SQUARE_SIZE 30

#define GRID_PWIDTH SQUARE_SIZE*GRID_WIDTH
#define GRID_PHEIGHT SQUARE_SIZE*GRID_HEIGHT

void InitDisplay();
void InitGame();

void drawSquare(int x, int y, Color color);
void drawPiece(Piece p);
void drawGrid(Grid g);

void displayScore(int score);

void gameInstructions(Grid grid, Piece* pList);